yacas(1)

Name
yacas - Yet Another Computer Algebra System

Synopsis

yacas [OPTION] [FILE]

yacas -i COMMAND

Description

Yacas is an easy to use, general purpose Computer Algebra System, a program for symbolic manipulation of mathematical expressions. It uses its own programming language designed for symbolic as well as arbitrary-precision numerical computations. The system has a library of scripts that implement many of the symbolic algebra operations; new algorithms can be easily added to the library. Yacas comes with extensive documentation covering the scripting language, the functionality that is already implemented in the system, and the algorithms we used.

Options

    -d  print default scripts path and exit

    -v  print yacas version and exit

    -p  plain (dumb-terminal) mode

    -c  do not print prompt

    -b  do not print banner

    -i COMMAND
        execute COMMAND and exit

Other Documentation

Full documentation at: <https://yacas.readthedocs.io/>